#####
# Autogenerated file. Do not edit
#####

import json

def convert_to_script(nb_file_name):
    assert nb_file_name.endswith(".ipynb")
    script_file_name = nb_file_name.replace(".ipynb",".py")
    with open(script_file_name, "w") as script_file:
        script_file.write("#####\n# Autogenerated file. Do not edit\n#####\n")
        nb = json.load(open(nb_file_name))
        for cell in nb["cells"]:
            if cell["cell_type"] == 'code':
                if len(cell["source"]) > 0 and cell["source"][0].startswith("#export"):
                    script_file.write("".join(cell["source"][1:]))
import nbformat
from nbconvert.preprocessors import ExecutePreprocessor

def run_notebook(nb_file_name):
    assert nb_file_name.endswith(".ipynb")
    nb = nbformat.read(open(nb_file_name), as_version=nbformat.NO_CONVERT)
    ExecutePreprocessor(timeout=600).preprocess(nb, {})
    print("done")
    
    